Gwibber can't start, 'module' object has no attribute 'InfoBar'

Bug #670937 reported by Benoit St-André on 2010-11-04
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Gwibber
Undecided
Unassigned

Bug Description

I have been using gwibber daily since a long time on Karmic.

Since the change to the new backends (gwibber-service(s)), I can't start gwibber anymore.

Here is the traceback that is shown when started in a terminal:

Traceback (most recent call last):
  File "/usr/bin/gwibber", line 55, in <module>
    from gwibber import client
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 3, in <module>
    import gtk, gobject, gwui, util, actions, json, gconf
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 822, in <module>
    class GwibberInfoBar(gtk.InfoBar):
AttributeError: 'module' object has no attribute 'InfoBar'

Using the 2.91.0~bzr918-0ubuntu1~daily1 version (but it was the same with 917 yesterday).

Will gladly test anything else needed to help solve this bug.

Just found an Exaile bug that looks quite similar to this problem:

https://bugs.launchpad.net/exaile/+bug/583101

Is Gwibber needing pygtk 2.17 as a mandatory dependency now ?

Mike Rushton (leftyfb) wrote :

Ubuntu 9.10 \n \l

gwibber:
  Installed: 2.91.1~bzr928-0ubuntu1~daily1~karmic
  Candidate: 2.91.1~bzr928-0ubuntu1~daily1~karmic
  Version table:
 *** 2.91.1~bzr928-0ubuntu1~daily1~karmic 0
        500 http://ppa.launchpad.net karmic/main Packages
        100 /var/lib/dpkg/status
     2.0.0~bzr476-0ubuntu3 0
        500 http://us.archive.ubuntu.com karmic/universe Packages

** (gwibber:17133): WARNING **: Trying to register gtype 'WnckWindowState' as flags when in fact it is of type 'GEnum'

** (gwibber:17133): WARNING **: Trying to register gtype 'WnckWindowActions' as flags when in fact it is of type 'GEnum'

** (gwibber:17133): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as flags when in fact it is of type 'GEnum'
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 55, in <module>
    from gwibber import client
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 3, in <module>
    import gtk, gobject, gwui, util, actions, json, gconf
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 846, in <module>
    class GwibberInfoBar(gtk.InfoBar):
AttributeError: 'module' object has no attribute 'InfoBar'

Mike Rushton (leftyfb) on 2010-11-13
Changed in gwibber:
status: New → Confirmed
Ken VanDine (ken-vandine) wrote :

This has now been fixed in trunk, I also fixed some errors for indicator handling as well. The down side is the fix really just removes the InfoBar used to display failures, but at least it runs.

Changed in gwibber:
status: Confirmed → Fix Committed
milestone: none → 2.91.1
Changed in gwibber:
status: Fix Committed → Fix Released

Wonderful ! Just updated from the PPA (Gwibber 2.91.2 - 2.91.2~bzr924-0ubuntu1~daily1~karmic), and I can use Gwibber again !

Thanks for solving this bug.

Mike Rushton (leftyfb) wrote :

Same here. All fixed now!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers